Identifier Type
Manage product identifier types in VARIO Cloud. Create, retrieve, update, delete, activate, and deactivate identifier types via the REST API.
the IdentifierType API
an identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Product number type.
is active
trueResource with given ID was not found
GET /erp/product-types/identifier-types/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"name": "text",
"active": true
}an identifier
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Product number type.
is active
truesuccessful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Product number type.
is active
trueResource was not found
Resource was not valid to process
PUT /erp/product-types/identifier-types/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 54
{
"version": "text",
"info": {},
"id": "text",
"name": "text"
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"name": "text",
"active": true
}an identifier
successful operation
message context
message
Resource was not found
unable to delete Resource, due to constraints, existing references or internal state
DELETE /erp/product-types/identifier-types/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"context": "text",
"messageValue": "text"
}identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Product number type.
is active
trueResource was not found
Resource was not valid to process
PUT /erp/product-types/identifier-types/{id}/deactivate HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"name": "text",
"active": true
}identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Product number type.
is active
trueResource was not found
Resource was not valid to process
PUT /erp/product-types/identifier-types/{id}/activate HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"name": "text",
"active": true
}Version Identifier for this Object (for PUT)
Unique identifier of the Object
Product number type.
is active
truesuccessful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Product number type.
is active
trueResource was not valid to process
POST /erp/product-types/identifier-types HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 54
{
"version": "text",
"info": {},
"id": "text",
"name": "text"
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"name": "text",
"active": true
}Last updated
Was this helpful?